glutSolidCone(3GLUT)

NAME
glutSolidCone, glutWireCone - render a solid or wireframe cone respectively.

SYNTAX

void glutSolidCone(GLdouble base, GLdouble height,
                   GLint slices, GLint stacks);
void glutWireCone(GLdouble base, GLdouble height,
                  GLint slices, GLint stacks);

ARGUMENTS

base
    The radius of the base of the cone.

height
    The height of the cone.

slices
    The number of subdivisions around the Z axis.

stacks
    The number of subdivisions along the Z axis.

DESCRIPTION
glutSolidCone and glutWireCone render a solid or wireframe cone respectively oriented along the Z axis. The base of the cone is placed at Z = 0, and the top at Z = height. The cone is subdivided around the Z axis into slices, and along the Z axis into stacks.

SEE ALSO
glutSolidSphere, glutSolidCube, glutSolidTorus, glutSolidDodecahedron, glutSolidOctahedron, glutSolidTetrahedron, glutSolidIcosahedron, glutSolidTeapot

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)